import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import './assets/css/reset.css'
import './assets/css/common.css'
import App from './App.vue'

Vue.use(ElementUI);

Vue.config.productionTip = false
Vue.prototype.$getData = () => {
  return new Promise((resolve, reject) => {
    (window).courseware.getData((data) => {
      resolve(data)
    }, "default_key")
  })
}

Vue.prototype.$setData = (data) => {
  (window).courseware.setData(data, null, "default_key")
}

new Vue({
  render: function (h) { return h(App) },
}).$mount('#app')
